#include "C:\Program Files\PICC\Projects\Test\main.h"

#define BUFF      7
#define MAX_BUFF  256

int OutData[BUFF];      // 
int InData[MAX_BUFF];   // 


void InitADC();            //  
void GetDataFromADC();     //      



#int_RDA
RDA_isr()         
{
   int i;
   
   
   
   disable_interrupts(GLOBAL);
   
   gets(InData);
   
   if(InData[3] == 0x44)
   {
      GetDataFromADC();             //   
   }
   else
   {
      for(i = 0; i < BUFF; i++)     // 
      {
         OutData[i] = 0xFF;
      }
   }
   
   puts(OutData);
   
   
   enable_interrupts(GLOBAL);
}



void main()
{

   setup_adc_ports(NO_ANALOGS|VSS_VDD);
   setup_adc(ADC_OFF|ADC_TAD_MUL_0);
   setup_spi(SPI_MASTER|SPI_H_TO_L|SPI_CLK_DIV_4);
   setup_wdt(WDT_OFF);
   setup_timer_0(RTCC_INTERNAL);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DISABLED,0,1);
   setup_timer_3(T3_DISABLED|T3_DIV_BY_1);
   setup_comparator(NC_NC_NC_NC);
   setup_vref(FALSE);
   enable_interrupts(INT_RDA);
   enable_interrupts(GLOBAL);
   setup_oscillator(False);



   disable_interrupts(GLOBAL);
   InitADC();
   enable_interrupts(GLOBAL);
   
   while(1);

}






void InitADC()
{
   
}



void GetDataFromADC()
{
   
}
